"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlLogoCard = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
var react_1 = require("react");
var theme_1 = require("../theme");
var GlLogo_1 = require("../utils/GlLogo");
var GlCard_1 = require("./GlCard");
var useStyles = theme_1.makeStyles()(function (theme) { return ({
    "root": __assign({ "padding": theme.spacing(3), "boxShadow": theme.shadows[1], "display": "flex", "flexDirection": "column", "justifyContent": "space-between", "alignItems": "center" }, (theme.responsive.down("lg")
        ? {
            "margin": theme.spacing(1),
        }
        : {})),
    "iconWrapper": {
        "display": "grid",
        "columnGap": theme.spacing(2),
        "gridAutoFlow": "column",
    },
    "icon": {
        "width": 50,
        "height": 50,
        "fill": theme.colors.palette.focus.main,
        "& svg": {
            "width": 50,
            "height": 50,
        },
    },
    "title": __assign({ "marginTop": theme.spacing(3) }, (theme.responsive.down("lg")
        ? {
            "fontSize": "18px",
            "lineHeight": "20px",
        }
        : {})),
    "paragraph": __assign({ "marginTop": theme.spacing(3) }, (theme.responsive.down("lg")
        ? {
            "fontSize": "16px",
            "lineHeight": "2Opx",
        }
        : {})),
    "description": {
        "textAlign": "center",
    },
}); });
exports.GlLogoCard = react_1.memo(function (props) {
    var className = props.className, iconUrls = props.iconUrls, link = props.link, paragraph = props.paragraph, title = props.title;
    var _a = useStyles(), classes = _a.classes, cx = _a.cx;
    return (jsx_runtime_1.jsxs(GlCard_1.GlCard, __assign({ link: link, className: cx(classes.root, className) }, { children: [iconUrls && (jsx_runtime_1.jsx("div", __assign({ className: classes.iconWrapper }, { children: iconUrls.map(function (url, index) { return (jsx_runtime_1.jsx(GlLogo_1.GlLogo, { className: cx(classes.icon), logoUrl: url }, index)); }) }), void 0)),
            jsx_runtime_1.jsxs("div", __assign({ className: classes.description }, { children: [title !== undefined && (jsx_runtime_1.jsx(theme_1.Text, __assign({ typo: "section heading", className: classes.title }, { children: title }), void 0)),
                    paragraph !== undefined && (jsx_runtime_1.jsx(theme_1.Text, __assign({ typo: "body 1", className: classes.paragraph }, { children: paragraph }), void 0))] }), void 0)] }), void 0));
});
//# sourceMappingURL=GlLogoCard.js.map