"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlProjectCard = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
var react_1 = require("react");
var GlButton_1 = require("../utils/GlButton");
var theme_1 = require("../theme");
var GlCard_1 = require("./GlCard");
var useStyles = theme_1.makeStyles()(function (theme, _a) {
    var projectImageUrl = _a.projectImageUrl;
    return ({
        "root": __assign(__assign(__assign({ "display": "flex", "minHeight": 591 }, (theme.responsive.down(1440)
            ? {
                "minHeight": 412,
            }
            : {})), { "flexDirection": "column", "overflow": "hidden" }), (theme.responsive.down("lg")
            ? {
                "margin": theme.spacing(1),
            }
            : {})),
        "footer": {
            "backgroundColor": theme.isDarkModeEnabled
                ? theme.colors.palette.dark.greyVariant1
                : theme.colors.palette.light.light,
            "padding": [2, 3, 2, 3]
                .map(function (spacing) { return theme.spacing(spacing) + "px"; })
                .join(" "),
        },
        "footerH5": {
            "marginBottom": theme.spacing(1.25),
        },
        "footerH6": {
            "marginBottom": theme.spacing(1.25),
        },
        "header": {
            "flex": 1,
            "width": "100%",
            "margin": 0,
            "background": "url(" + projectImageUrl + ") no-repeat center",
            "backgroundSize": "cover",
        },
        "buttonWrapper": {
            "display": "flex",
            "justifyContent": "flex-end",
            "padding": theme.spacing(2),
        },
        "badge": { "alignSelf": "right" },
    });
});
exports.GlProjectCard = react_1.memo(function (props) {
    var className = props.className, date = props.date, projectImageUrl = props.projectImageUrl, subtitle = props.subtitle, title = props.title, badgeLabel = props.badgeLabel, link = props.link;
    var _a = useStyles({ projectImageUrl: projectImageUrl }), classes = _a.classes, cx = _a.cx;
    return (jsx_runtime_1.jsxs(GlCard_1.GlCard, __assign({ className: cx(classes.root, className) }, { children: [jsx_runtime_1.jsx("div", __assign({ className: classes.header }, { children: jsx_runtime_1.jsx("div", __assign({ className: classes.buttonWrapper }, { children: badgeLabel !== undefined && (jsx_runtime_1.jsx(GlButton_1.GlButton, __assign({ type: "submit", className: classes.badge, href: link === null || link === void 0 ? void 0 : link.href, onClick: link === null || link === void 0 ? void 0 : link.onClick }, { children: badgeLabel }), void 0)) }), void 0) }), void 0),
            jsx_runtime_1.jsxs("div", __assign({ className: classes.footer }, { children: [jsx_runtime_1.jsx(theme_1.Text, __assign({ typo: "object heading", className: classes.footerH5 }, { children: title }), void 0),
                    jsx_runtime_1.jsx(theme_1.Text, __assign({ typo: "label 2", className: classes.footerH6 }, { children: subtitle }), void 0),
                    date !== undefined && jsx_runtime_1.jsx(theme_1.Text, __assign({ typo: "label 2" }, { children: date }), void 0)] }), void 0)] }), void 0));
});
//# sourceMappingURL=GlProjectCard.js.map