"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlHeader = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
/* eslint-disable @typescript-eslint/no-explicit-any */
var Link_1 = __importDefault(require("@material-ui/core/Link"));
var useNamedState_1 = require("powerhooks/useNamedState");
var useConstCallback_1 = require("powerhooks/useConstCallback");
var react_1 = require("react");
var theme_1 = require("../theme");
var GlDarkModeSwitch_1 = require("./GlDarkModeSwitch");
var GlGithubStarCount_1 = require("./GlGithubStarCount");
var FormatListBulleted_1 = __importDefault(require("@material-ui/icons/FormatListBulleted"));
var useStyles = theme_1.makeStyles()(function (theme, _a) {
    var isMenuUnfolded = _a.isMenuUnfolded, numberOfLinks = _a.numberOfLinks;
    return ({
        "root": __assign({ "display": "flex", "alignItems": "center", "width": "100%", "padding": theme.spacing(2, 4) }, (theme.responsive.down("md")
            ? {
                "flexWrap": "wrap",
            }
            : {})),
        "title": {
            "display": "flex",
            "flex": 1,
            "marginRight": theme.spacing(2),
        },
        "links": __assign({ "display": "flex", "transition": "height 300ms", "flexWrap": "wrap" }, (theme.responsive.down("md")
            ? {
                "order": 123,
                "flex": "100%",
                "flexDirection": "column",
                "gap": theme.spacing(1),
                "height": isMenuUnfolded
                    ? (21 + theme.spacing(2)) * numberOfLinks
                    : 0,
                "overflow": "hidden",
                "flexWrap": "nowrap",
            }
            : {})),
        "linkWrapper": __assign({}, (function () {
            var leftRight = theme.spacing(2);
            var topBottom = theme.spacing(1);
            return __assign({ "marginLeft": leftRight, "marginRight": leftRight, "marginTop": topBottom, "marginBottom": topBottom }, (theme.responsive.down("md")
                ? __assign({}, (function () {
                    var value = 0;
                    return {
                        "marginLeft": value,
                    };
                })()) : {}));
        })()),
        "link": {
            "color": theme.colors.useCases.typography.textPrimary,
            "fontSize": "18px",
            "whiteSpace": "nowrap",
        },
        "unfoldIcon": __assign({ "display": "none", "cursor": "pointer", "marginLeft": theme.spacing(2) }, (theme.responsive.down("md")
            ? {
                "display": "flex",
            }
            : {})),
        "githubStarAndDarkModeSwitch": __assign({}, (function () {
            var value = theme.spacing(2);
            return {
                "marginLeft": value,
                "marginRight": value,
            };
        })()),
    });
});
exports.GlHeader = react_1.memo(function (props) {
    var className = props.className, title = props.title, links = props.links, enableDarkModeSwitch = props.enableDarkModeSwitch, githubButtonSize = props.githubButtonSize, githubRepoUrl = props.githubRepoUrl;
    var _a = useNamedState_1.useNamedState("isMenuUnfolded", false), isMenuUnfolded = _a.isMenuUnfolded, setIsMenuUnfolded = _a.setIsMenuUnfolded;
    var unfoldLinks = useConstCallback_1.useConstCallback(function () {
        setIsMenuUnfolded(!isMenuUnfolded);
    });
    var _b = useStyles({
        isMenuUnfolded: isMenuUnfolded,
        "numberOfLinks": links !== undefined ? links.length : 0,
    }), classes = _b.classes, cx = _b.cx;
    return (jsx_runtime_1.jsxs("header", __assign({ className: cx(classes.root, className) }, { children: [jsx_runtime_1.jsx("div", __assign({ className: classes.title }, { children: typeof title === "string" ? (jsx_runtime_1.jsx("div", { children: jsx_runtime_1.jsx(theme_1.Text, __assign({ typo: "subtitle" }, { children: title }), void 0) }, void 0)) : (jsx_runtime_1.jsx("div", { children: title }, void 0)) }), void 0),
            jsx_runtime_1.jsx("div", __assign({ className: classes.links }, { children: links.map(function (_a) {
                    var link = _a.link, label = _a.label;
                    return (jsx_runtime_1.jsx("div", __assign({ className: classes.linkWrapper }, { children: jsx_runtime_1.jsx(Link_1.default, __assign({ className: classes.link }, link, { children: label }), void 0) }), label));
                }) }), void 0),
            githubRepoUrl !== undefined && (jsx_runtime_1.jsx(GlGithubStarCount_1.GlGithubStarCount, { repoUrl: githubRepoUrl, size: githubButtonSize, className: classes.githubStarAndDarkModeSwitch }, void 0)),
            enableDarkModeSwitch !== undefined && enableDarkModeSwitch && (jsx_runtime_1.jsx(GlDarkModeSwitch_1.GlDarkModeSwitch, { className: classes.githubStarAndDarkModeSwitch }, void 0)),
            jsx_runtime_1.jsx(FormatListBulleted_1.default, { onClick: unfoldLinks, className: classes.unfoldIcon }, void 0)] }), void 0));
});
//# sourceMappingURL=GlHeader.js.map