"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlHero = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
/* eslint-disable @typescript-eslint/ban-types */
var theme_1 = require("./theme");
var GlImage_1 = require("./utils/GlImage");
var react_1 = require("react");
var theme_2 = require("./theme");
var useAnimation_1 = require("./utils/useAnimation");
var useStyles = theme_2.makeStyles()(function (theme, _a) {
    var backgroundImageSrcLight = _a.backgroundImageSrcLight, hasTextAndImage = _a.hasTextAndImage, backgroundImageSrcDark = _a.backgroundImageSrcDark;
    return ({
        "root": __assign(__assign({ "position": "relative", "width": "100%" }, (function () {
            var value = theme.spacing(12);
            return {
                "paddingLeft": value,
                "paddingRight": value,
            };
        })()), (theme.responsive.down("sm")
            ? __assign({}, (function () {
                var value = theme.spacing(4);
                return {
                    "paddingLeft": value,
                    "paddingRight": value,
                };
            })()) : {})),
        "textAndImageWrapper": __assign(__assign({ "display": "grid", "gridTemplateColumns": "repeat(" + (hasTextAndImage ? 2 : 1) + ", 1fr)", "alignItems": "center", "gap": theme.spacing(12) }, (function () {
            var value = theme.spacing(10);
            return {
                "paddingTop": value,
                "paddingBottom": value,
            };
        })()), (theme.responsive.down("lg")
            ? {
                "gridTemplateColumns": undefined,
                "gridAutoFlow": "row",
                "gap": theme.spacing(6),
                "justifyContent": "center",
            }
            : {})),
        "title": {
            "marginBottom": theme.spacing(4),
        },
        "subtitle": {
            "marginTop": theme.spacing(4),
            "maxWidth": 400,
        },
        "textWrapper": {
            "textAlign": hasTextAndImage && theme.responsive.up("lg")
                ? undefined
                : "center",
            "alignItems": hasTextAndImage && theme.responsive.up("lg")
                ? undefined
                : "center",
            "display": "flex",
            "flexDirection": "column",
        },
        "backgroundDiv": {
            "background": "url(" + (theme.isDarkModeEnabled
                ? backgroundImageSrcDark
                : backgroundImageSrcLight) + ")",
            "backgroundRepeat": "no-repeat",
            "backgroundSize": "cover",
            "backgroundPosition": "center",
            "width": "100%",
            "height": "100%",
            "position": "absolute",
            "top": 0,
            "left": 0,
            "zIndex": -1,
            "filter": theme.isDarkModeEnabled ? "brightness(0.8)" : undefined,
        },
    });
});
exports.GlHero = react_1.memo(function (props) {
    var title = props.title, subTitle = props.subTitle, className = props.className, backgroundImageSrcLight = props.backgroundImageSrcLight, backgroundImageSrcDark = props.backgroundImageSrcDark, imageSrc = props.imageSrc, children = props.children;
    var _a = useStyles({
        backgroundImageSrcLight: backgroundImageSrcLight,
        backgroundImageSrcDark: backgroundImageSrcDark,
        "hasTextAndImage": (title !== undefined || subTitle !== undefined) &&
            imageSrc !== undefined,
    }), classes = _a.classes, cx = _a.cx;
    var _b = useAnimation_1.useAnimation({
        "animationType": "fade",
    }), rootRef = _b.rootRef, animate = _b.animate;
    react_1.useEffect(function () {
        animate();
    }, []);
    return (jsx_runtime_1.jsxs("section", __assign({ className: cx(classes.root, className) }, { children: [jsx_runtime_1.jsx("div", { className: classes.backgroundDiv }, void 0),
            jsx_runtime_1.jsxs("div", __assign({ className: classes.textAndImageWrapper }, { children: [jsx_runtime_1.jsxs("div", __assign({ ref: rootRef, className: classes.textWrapper }, { children: [title !== undefined && (jsx_runtime_1.jsx(theme_1.Text, __assign({ className: classes.title, typo: "display heading" }, { children: title }), void 0)),
                            subTitle !== undefined && (jsx_runtime_1.jsx(theme_1.Text, __assign({ typo: "subtitle", className: classes.subtitle }, { children: subTitle }), void 0))] }), void 0),
                    imageSrc !== undefined && (jsx_runtime_1.jsx("div", { children: jsx_runtime_1.jsx(GlImage_1.GlImage, { url: imageSrc, alt: "hero image" }, void 0) }, void 0))] }), void 0), children] }), void 0));
});
//# sourceMappingURL=GlHero.js.map