"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlSlideTemplate = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var theme_1 = require("../theme");
var GlSlide_1 = require("./GlSlide");
var react_1 = require("react");
var GlLogo_1 = require("../utils/GlLogo");
var Paper_1 = __importDefault(require("@material-ui/core/Paper"));
var react_markdown_1 = __importDefault(require("react-markdown"));
var useStyles = theme_1.makeStyles()(function (theme) { return ({
    "root": __assign({ "display": "flex", "flexDirection": "row", "alignItems": "center", "justifyContent": "space-between", "position": "relative" }, (theme.responsive.down("md")
        ? {
            "flexDirection": "column",
        }
        : {})),
    "paragraph": __assign(__assign({ "margin": theme.spacing(5), "fontSize": theme.typography.variants["body 1"].style.fontSize, "fontWeight": theme.typography.variants["body 1"].style.fontWeight, "lineHeight": theme.typography.variants["body 1"].style.lineHeight }, (theme.responsive.down("md")
        ? {
            "textAlign": "center",
        }
        : {})), (theme.responsive.down("sm")
        ? __assign({}, (function () {
            var valueVertical = theme.spacing(1);
            var valueHorizontal = theme.spacing(5);
            return {
                "marginTop": valueVertical,
                "marginBottom": valueVertical,
                "marginLeft": valueHorizontal,
                "marginRight": valueHorizontal,
            };
        })()) : {})),
    "signature": __assign({ "textAlign": "right", "fontStyle": "italic", "marginRight": theme.spacing(5), "marginBottom": theme.spacing(5) }, (theme.responsive.down("md")
        ? {
            "textAlign": "center",
            "marginRight": 0,
        }
        : {})),
    "logo": __assign({ "width": 70, "marginLeft": theme.spacing(5), "& svg": {
            "width": 70,
            "height": 70,
        } }, (theme.responsive.down("md")
        ? {
            "marginLeft": 0,
            "marginTop": theme.spacing(5),
        }
        : {})),
}); });
exports.GlSlideTemplate = react_1.memo(function (props) {
    var descriptionMd = props.descriptionMd, className = props.className, signature = props.signature, logoUrl = props.logoUrl;
    var classes = useStyles().classes;
    return (jsx_runtime_1.jsx(GlSlide_1.GlSlide, __assign({ className: className }, { children: jsx_runtime_1.jsxs(Paper_1.default, __assign({ className: classes.root }, { children: [logoUrl !== undefined && (jsx_runtime_1.jsx(GlLogo_1.GlLogo, { logoUrl: logoUrl, className: classes.logo }, void 0)),
                jsx_runtime_1.jsxs("div", { children: [descriptionMd !== undefined && (jsx_runtime_1.jsx(react_markdown_1.default, __assign({ className: classes.paragraph }, { children: descriptionMd }), void 0)),
                        signature !== undefined && (jsx_runtime_1.jsx(theme_1.Text, __assign({ typo: "body 2", className: classes.signature }, { children: signature }), void 0))] }, void 0)] }), void 0) }), void 0));
});
//# sourceMappingURL=GlSlideTemplate.js.map