"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlArticle = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var theme_1 = require("../theme");
var react_markdown_1 = __importDefault(require("react-markdown"));
var GlButton_1 = require("../utils/GlButton");
var react_1 = require("react");
var useStyles = theme_1.makeStyles()(function (theme) { return ({
    "root": {
        "display": "flex",
        "flexDirection": "column",
        "textAlign": "left",
    },
    "title": __assign({ "marginBottom": 14 }, (theme.responsive.down("lg")
        ? {
            "fontSize": "22px",
            "lineHeight": "24px",
        }
        : {})),
    "paragraph": __assign({ "fontSize": theme.typography.variants["body 1"].style.fontSize, "lineHeight": "24px", "marginTop": 14, "marginBottom": 14 }, (theme.responsive.down("lg")
        ? {
            "fontSize": "16px",
            "lineHeight": "20px",
        }
        : {})),
    "buttonWrapper": {
        "display": "flex",
        "justifyContent": "flex-end",
        "marginTop": 14,
    },
    "button": {
        "alignSelf": "right",
    },
}); });
exports.GlArticle = react_1.memo(function (props) {
    var buttonLink = props.buttonLink, buttonLabel = props.buttonLabel, articleMd = props.articleMd, title = props.title;
    var classes = useStyles().classes;
    return (jsx_runtime_1.jsxs("article", { children: [title && (jsx_runtime_1.jsx(theme_1.Text, __assign({ className: classes.title, typo: "page heading" }, { children: title }), void 0)),
            articleMd && (jsx_runtime_1.jsx(react_markdown_1.default, __assign({ className: classes.paragraph }, { children: articleMd }), void 0)),
            buttonLabel && (jsx_runtime_1.jsx("div", __assign({ className: classes.buttonWrapper }, { children: jsx_runtime_1.jsx(GlButton_1.GlButton, __assign({ className: classes.button, type: "submit" }, buttonLink, { variant: "secondary" }, { children: buttonLabel }), void 0) }), void 0))] }, void 0));
});
//# sourceMappingURL=GlArticle.js.map