"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlTemplate = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var theme_1 = require("./theme");
var onyxia_ui_1 = require("onyxia-ui");
var ThemeProvider_1 = require("onyxia-ui/lib/ThemeProvider");
var useStyles = theme_1.makeStyles()({
    "root": {
        "height": "100%",
        "display": "flex",
        "flexDirection": "column",
        "overflow": "hidden",
    },
    "scrollWrapper": {
        "flex": 1,
        "overflow": "auto",
        "scrollBehavior": "smooth",
    },
});
var GlTemplateInner = react_1.memo(function (props) {
    var header = props.header, children = props.children, isThemeProvidedOutside = props.isThemeProvidedOutside;
    {
        var hideRootSplashScreen_1 = onyxia_ui_1.useSplashScreen().hideRootSplashScreen;
        react_1.useEffect(function () {
            if (isThemeProvidedOutside) {
                return;
            }
            hideRootSplashScreen_1();
        }, []);
    }
    var classes = useStyles().classes;
    return (jsx_runtime_1.jsxs("div", __assign({ className: classes.root }, { children: [header, jsx_runtime_1.jsx("div", __assign({ className: classes.scrollWrapper }, { children: children }), void 0)] }), void 0));
});
exports.GlTemplate = react_1.memo(function (props) {
    var _a = props.ThemeProvider, ThemeProvider = _a === void 0 ? theme_1.ThemeProviderDefault : _a, SplashScreenLogo = props.SplashScreenLogo, splashScreenLogoFillColor = props.splashScreenLogoFillColor, rest = __rest(props, ["ThemeProvider", "SplashScreenLogo", "splashScreenLogoFillColor"]);
    var isThemeProvided = ThemeProvider_1.useIsThemeProvided();
    var children = (jsx_runtime_1.jsx(GlTemplateInner, __assign({}, rest, { isThemeProvidedOutside: isThemeProvided }), void 0));
    return isThemeProvided ? (children) : (jsx_runtime_1.jsx(ThemeProvider, __assign({ splashScreen: {
            // eslint-disable-next-line @typescript-eslint/no-explicit-any
            "Logo": SplashScreenLogo,
            "fillColor": splashScreenLogoFillColor,
            "minimumDisplayDuration": 0,
        } }, { children: children }), void 0));
});
//# sourceMappingURL=GlTemplate.js.map