/// <reference types="react" />
import type { Meta, Story } from "@storybook/react";
import type { ArgType } from "@storybook/addons";
import type { ChromeFontSize } from "onyxia-ui";
import "onyxia-ui/assets/fonts/work-sans.css";
export declare function getStoryFactory<Props>(params: {
    sectionName: string;
    wrappedComponent: Record<string, (props: Props) => ReturnType<React.FC>>;
    /** https://storybook.js.org/docs/react/essentials/controls */
    argTypes?: Partial<Record<keyof Props, ArgType>>;
}): {
    meta: Meta<import("@storybook/react").Args>;
    getStory: (props: Props) => Story<Props & {
        darkMode: boolean;
        width: number;
        chromeFontSize: ChromeFontSize;
        targetWindowInnerWidth: number;
    }>;
};
export declare function logCallbacks<T extends string>(propertyNames: readonly T[]): Record<T, () => void>;
