/// <reference types="react" />
import { useThemeBase as useTheme } from "onyxia-ui/lib/ThemeProvider";
export { useTheme };
export declare const ThemeProviderDefault: (props: import("onyxia-ui").ThemeProviderProps) => JSX.Element;
export declare const makeStyles: <Params = void>() => <Key extends string>(getCssObjectOrCssObject: Record<Key, import("tss-react").CSSObject> | ((theme: import("onyxia-ui").Theme<{
    focus: {
        main: string;
        light: string;
        light2: string;
    };
    dark: {
        main: string;
        light: string;
        greyVariant1: string;
        greyVariant2: string;
        greyVariant3: string;
        greyVariant4: string;
    };
    light: {
        main: string;
        light: string;
        greyVariant1: string;
        greyVariant2: string;
        greyVariant3: string;
        greyVariant4: string;
    };
    redError: {
        main: string;
        light: string;
    };
    greenSuccess: {
        main: string;
        light: string;
    };
    orangeWarning: {
        main: string;
        light: string;
    };
    blueInfo: {
        main: string;
        light: string;
    };
}, {
    typography: {
        textPrimary: string;
        textSecondary: string;
        textTertiary: string;
        textDisabled: string;
        textFocus: string;
    };
    buttons: {
        actionHoverPrimary: string;
        actionHoverSecondary: string;
        actionHoverTernary: string;
        actionSelected: string;
        actionActive: string;
        actionDisabled: string;
        actionDisabledBackground: string;
    };
    surfaces: {
        background: string;
        surface1: string;
        surface2: string;
    };
    alertSeverity: {
        error: {
            main: string;
            background: string;
        };
        success: {
            main: string;
            background: string;
        };
        warning: {
            main: string;
            background: string;
        };
        info: {
            main: string;
            background: string;
        };
    };
}, never, Record<string, unknown>>, params: Params) => Record<Key, import("tss-react").CSSObject>)) => (params: Params) => {
    classes: Record<Key, string>;
    theme: import("onyxia-ui").Theme<{
        focus: {
            main: string;
            light: string;
            light2: string;
        };
        dark: {
            main: string;
            light: string;
            greyVariant1: string;
            greyVariant2: string;
            greyVariant3: string;
            greyVariant4: string;
        };
        light: {
            main: string;
            light: string;
            greyVariant1: string;
            greyVariant2: string;
            greyVariant3: string;
            greyVariant4: string;
        };
        redError: {
            main: string;
            light: string;
        };
        greenSuccess: {
            main: string;
            light: string;
        };
        orangeWarning: {
            main: string;
            light: string;
        };
        blueInfo: {
            main: string;
            light: string;
        };
    }, {
        typography: {
            textPrimary: string;
            textSecondary: string;
            textTertiary: string;
            textDisabled: string;
            textFocus: string;
        };
        buttons: {
            actionHoverPrimary: string;
            actionHoverSecondary: string;
            actionHoverTernary: string;
            actionSelected: string;
            actionActive: string;
            actionDisabled: string;
            actionDisabledBackground: string;
        };
        surfaces: {
            background: string;
            surface1: string;
            surface2: string;
        };
        alertSeverity: {
            error: {
                main: string;
                background: string;
            };
            success: {
                main: string;
                background: string;
            };
            warning: {
                main: string;
                background: string;
            };
            info: {
                main: string;
                background: string;
            };
        };
    }, never, Record<string, unknown>>;
    css: import("tss-react").Css;
    cx: import("tss-react").Cx;
};
export declare const Icon: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<import("onyxia-ui/Icon").IconProps<"iconButton" | "brightness4" | "brightness7" | "arrowBackIos" | "arrowForwardIos" | "dehaze" | "brightness1Rounded"> & import("react").RefAttributes<SVGSVGElement>>>;
export declare const IconButton: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<import("onyxia-ui/IconButton").IconButtonProps<"iconButton" | "brightness4" | "brightness7" | "arrowBackIos" | "arrowForwardIos" | "dehaze" | "brightness1Rounded"> & import("react").RefAttributes<HTMLButtonElement>>>;
export declare const Button: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<import("onyxia-ui/Button").ButtonProps<"iconButton" | "brightness4" | "brightness7" | "arrowBackIos" | "arrowForwardIos" | "dehaze" | "brightness1Rounded"> & import("react").RefAttributes<HTMLButtonElement>>>;
export declare const Text: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<{
    className?: string | null | undefined;
    typo: import("onyxia-ui").TypographyDesc.VariantNameBase;
    color?: "disabled" | "focus" | "primary" | "secondary" | undefined;
    children: boolean | import("react").ReactChild | import("react").ReactFragment | import("react").ReactPortal;
    htmlComponent?: import("onyxia-ui").TypographyDesc.HtmlComponent | undefined;
    componentProps?: import("react").DetailedHTMLProps<import("react").AnchorHTMLAttributes<HTMLAnchorElement>, HTMLAnchorElement> | import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement> | import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLParagraphElement>, HTMLParagraphElement> | import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
} & import("react").RefAttributes<any>>>;
